package net.cobem.grizzly.communication.composers.rooms;

import net.cobem.grizzly.communication.EventResponse;
import net.cobem.grizzly.communication.HeaderLibrary;
import net.cobem.grizzly.habbohotel.rooms.Room;

public class SendMoreRoomInformationComposer {
    public static EventResponse compose(Room mRoom) {
        EventResponse Message = new EventResponse();

        Message.Initialize(HeaderLibrary.SendMoreRoomInformationEvent);
        Message.addBool(true);
        Message.addInt(mRoom.ID);
        Message.addString(mRoom.Title);
        Message.addBool(true);
        Message.addInt(mRoom.Owner);
        Message.addString(mRoom.OwnerByName); // Owner name
        Message.addInt(0);
        Message.addInt(mRoom.getParty().size());
        Message.addInt(25);
        Message.addString(mRoom.Description);
        Message.addInt(0);
        Message.addInt(0);
        Message.addInt(10); // score
        Message.addInt(0);
        Message.addInt(0); // category
        Message.addInt(0); //group id = 0
        Message.addInt(0); //group id = 0
        Message.addString("");
        Message.addInt(0); // tag count
        Message.addInt(0);
        Message.addInt(0);
        Message.addInt(0);
        Message.addBool(true);
        Message.addBool(true);
        Message.addInt(0);
        Message.addInt(0);
        Message.addBool(false);
        Message.addBool(false);
        Message.addBool(false);
        Message.addInt(0);
        Message.addInt(0);
        Message.addInt(0);

        Message.addInt(1);
        Message.addInt(0);
        Message.addInt(0);
        return Message;
    }
}
